summaryrefslogtreecommitdiffstats
path: root/desktop/xfce4-smartbookmark-plugin/xfce4-smartbookmark-plugin.SlackBuild
diff options
context:
space:
mode:
author Robby Workman <rw@rlworkman.net>2010-05-13 00:23:51 +0200
committer Erik Hanson <erik@slackbuilds.org>2010-05-13 00:23:51 +0200
commit0131a56f01bb7b0a56f5c0745efc07be7bfb2072 (patch)
treec08ce089580eaba49169bcf5c9f6f0ca4e696573 /desktop/xfce4-smartbookmark-plugin/xfce4-smartbookmark-plugin.SlackBuild
parentf623d278457003b777583eddf86128ba0b8698c0 (diff)
downloadslackbuilds-0131a56f01bb7b0a56f5c0745efc07be7bfb2072.tar.gz
slackbuilds-0131a56f01bb7b0a56f5c0745efc07be7bfb2072.tar.xz
desktop/xfce4-smartbookmark-plugin: Updated for version 0.4.2
Diffstat (limited to 'desktop/xfce4-smartbookmark-plugin/xfce4-smartbookmark-plugin.SlackBuild')
-rw-r--r--desktop/xfce4-smartbookmark-plugin/xfce4-smartbookmark-plugin.SlackBuild25
1 files changed, 18 insertions, 7 deletions
diff --git a/desktop/xfce4-smartbookmark-plugin/xfce4-smartbookmark-plugin.SlackBuild b/desktop/xfce4-smartbookmark-plugin/xfce4-smartbookmark-plugin.SlackBuild
index d7ecf7ab35..436be18810 100644
--- a/desktop/xfce4-smartbookmark-plugin/xfce4-smartbookmark-plugin.SlackBuild
+++ b/desktop/xfce4-smartbookmark-plugin/xfce4-smartbookmark-plugin.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for xfce4-smartbookmark-plugin
-# Copyright 2006-2007 Robby Workman (http://rlworkman.net)
+# Copyright 2006-2009 Robby Workman, Northport, Alabama, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -35,8 +35,13 @@ OUTPUT=${OUTPUT:-/tmp}
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
fi
set -e
@@ -58,25 +63,31 @@ CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc/xfce \
--enable-shared=yes \
--enable-static=no \
- --enable-debug=no
+ --enable-debug=no \
+ --build=$ARCH-slackware-linux
make
make install DESTDIR=$PKG
( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
)
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a AUTHORS COPYING ChangeLog INSTALL NEWS README \
- $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS COPYING ChangeLog INSTALL NEWS README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}